<?xml version="1.0" encoding="utf-8"?><!--
SPDX-FileCopyrightText: Adam Evyčędo

SPDX-License-Identifier: GPL-3.0-or-later
-->
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
	xmlns:app="http://schemas.android.com/apk/res-auto"
	xmlns:tools="http://schemas.android.com/tools"
	android:layout_width="match_parent"
	android:layout_height="match_parent"
	tools:context=".journeys.JourneysActivity">

	<org.osmdroid.views.MapView
		android:id="@+id/map"
		android:layout_marginBottom="200dp"
		android:layout_width="match_parent"
		android:layout_height="match_parent" />

	<androidx.constraintlayout.widget.ConstraintLayout
		android:id="@+id/journeys_bottom_sheet"
		style="@style/Widget.Material3.BottomSheet"
		android:layout_width="match_parent"
		android:layout_height="640dp"
		app:behavior_hideable="false"
		app:behavior_peekHeight="256dp"
		app:layout_behavior="com.google.android.material.bottomsheet.BottomSheetBehavior">

		<com.google.android.material.bottomsheet.BottomSheetDragHandleView
			android:id="@+id/drag_handle"
			android:layout_width="match_parent"
			android:layout_height="wrap_content"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toTopOf="parent" />

		<androidx.recyclerview.widget.RecyclerView
			android:id="@+id/journeys"
			android:layout_width="match_parent"
			android:layout_height="wrap_content"
			android:clipToPadding="false"
			android:visibility="gone"
			app:layout_behavior="@string/appbar_scrolling_view_behavior"
			app:layout_constraintTop_toBottomOf="@+id/drag_handle" />

		<com.google.android.material.progressindicator.CircularProgressIndicator
			android:id="@+id/journeys_progress"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:layout_marginTop="48dp"
			android:indeterminate="true"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toBottomOf="@+id/drag_handle" />

		<ImageView
			android:id="@+id/empty_image"
			android:layout_width="92dp"
			android:layout_height="92dp"
			android:layout_marginTop="36dp"
			android:src="@drawable/error_journeys"
			android:visibility="gone"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toBottomOf="@+id/drag_handle"
			tools:ignore="ContentDescription" />

		<com.google.android.material.textview.MaterialTextView
			android:id="@+id/empty_text"
			android:layout_width="0dp"
			android:layout_height="wrap_content"
			android:layout_marginStart="16dp"
			android:layout_marginTop="8dp"
			android:layout_marginEnd="16dp"
			android:text="@string/no_journeys_found"
			android:textAlignment="center"
			android:textAppearance="@style/TextAppearance.Material3.HeadlineSmall"
			android:visibility="gone"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toBottomOf="@+id/empty_image" />

	</androidx.constraintlayout.widget.ConstraintLayout>

</androidx.coordinatorlayout.widget.CoordinatorLayout>